changeset 12748:0af429be8bba jdk-9+164

8177390: java -version does not differentiate between which port of AArch64 is used Reviewed-by: aph, dholmes
author neugens
date Wed, 29 Mar 2017 15:44:34 +0000
parents b70c17184fdb
children e2a24f3510e9 7587882381ad
files make/lib/CompileJvm.gmk test/test_env.sh
diffstat 2 files changed, 11 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/make/lib/CompileJvm.gmk	Thu Mar 30 19:55:04 2017 +0200
+++ b/make/lib/CompileJvm.gmk	Wed Mar 29 15:44:34 2017 +0000
@@ -118,6 +118,12 @@
   OPENJDK_TARGET_CPU_VM_VERSION := amd64
 else ifeq ($(OPENJDK_TARGET_CPU), sparcv9)
   OPENJDK_TARGET_CPU_VM_VERSION := sparc
+else ifeq ($(HOTSPOT_TARGET_CPU_ARCH), arm)
+  ifeq ($(OPENJDK_TARGET_CPU), aarch64)
+    # This sets the Oracle Aarch64 port to use arm64
+    # while the original Aarch64 port uses aarch64
+    OPENJDK_TARGET_CPU_VM_VERSION := arm64
+  endif
 else
   OPENJDK_TARGET_CPU_VM_VERSION := $(OPENJDK_TARGET_CPU)
 endif
--- a/test/test_env.sh	Thu Mar 30 19:55:04 2017 +0200
+++ b/test/test_env.sh	Wed Mar 29 15:44:34 2017 +0000
@@ -214,6 +214,11 @@
 then
   VM_CPU="aarch64"
 fi
+grep "arm64" vm_version.out > ${NULL}
+if [ $? = 0 ]
+then
+  VM_CPU="aarch64"
+fi
 export VM_TYPE VM_BITS VM_OS VM_CPU
 echo "VM_TYPE=${VM_TYPE}"
 echo "VM_BITS=${VM_BITS}"